IF global compatibility: iPad 4 with iOS 10.3.3

I have an iPad 4 with iOS 10.3.3 and can’t install global.

Are there any plans to make global compatible with this hardware / software combination? Thanks.

If they weren’t when it came out then no, not currently.

No. New device requirements are in place to enable the evolution of Infinite Flight for the future and the addition of new features.

5 Likes